locked
Paypal web interface error RRS feed

  • Question

  • User1909155429 posted

    I am experiencing Paypal sandbox  connection problem ?
    When ever I attempt to connect I receive the following error message.   

      Error During Web Interface. Error is: System.Net.WebException: The request was aborted: Could not create SSL/TLS secure channel.
                at System.Net.HttpWebRequest.GetRequestStream(TransportContext& context)
                       at(System.Net.HttpWebRequest.GetRequestStream())

    I am operating Microsoft VS Express 2010 with Local server on laptop.

    How does the changes effect my environment and how may I rectify problem encounter.

     

    Wednesday, February 10, 2016 6:54 PM

Answers

  • User-219423983 posted

    Hi peterthegreat,

    If the issue happens when you connect with the Paypal, I think you’d better continue to connect with their supports to get the better support. Besides, I found the following link maybe useful to you and you could have a look.

    https://devblog.paypal.com/paypal-ssl-certificate-changes/

    Best Regards,

    Weibo Zhang

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Monday, February 15, 2016 1:39 AM

All replies

  • User-219423983 posted

    Hi peterthegreat,

    As I searched according to the error message, you could try to set the “SecurityProtocol” in your code to connect the URL.

        ServicePointManager.SecurityProtocol = SecurityProtocolType.Tls
            | SecurityProtocolType.Tls11
            | SecurityProtocolType.Tls12
            | SecurityProtocolType.Ssl3;
    

    For more things, you could refer to the following thread.

    http://stackoverflow.com/questions/10822509/the-request-was-aborted-could-not-create-ssl-tls-secure-channel

    Best Regards,

    Weibo Zhang

    Thursday, February 11, 2016 3:14 AM
  • User1909155429 posted

    Going off Paypal Technical support their reply is:

    Based on the recent changes, you will still need to have the G5 root cert and SHA-256. You will need to update your server with these changes so that can access the endpoints.

    Therefore how do I find out if my MVSDE 2010 IS COMPATIBLE TO NEW CERTS ?

    My API differs to example shown so I not sure if the code applies  and whether appropriate as I am of opinion the software has to be compliant ?

    Thursday, February 11, 2016 8:49 PM
  • User-219423983 posted

    Hi peterthegreat,

    If the issue happens when you connect with the Paypal, I think you’d better continue to connect with their supports to get the better support. Besides, I found the following link maybe useful to you and you could have a look.

    https://devblog.paypal.com/paypal-ssl-certificate-changes/

    Best Regards,

    Weibo Zhang

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Monday, February 15, 2016 1:39 AM